const mongoose = require("mongoose");
const timestamp = require("mongoose-timestamp");
const mongoosePaginate = require("mongoose-paginate-v2");

const modelSchema = new mongoose.Schema({

  user_id: {
    type: String,
    required: true,
    trim: true,
    default: 0,
  },
  course_id: {
    type: String,
    required: true,
    trim: true,
    default: 0,
  },

});

modelSchema.plugin(timestamp);
modelSchema.plugin(mongoosePaginate);
const PostModel = mongoose.model("Likes", modelSchema);
module.exports = PostModel;
